[flake8]
statistics = True
doctests = True
max_line_length = 160
max_doc_length = 160
max-complexity = 90
# https://black.readthedocs.io/en/stable/the_black_code_style.html?highlight=E203#slices
ignore=E203,W503

[isort]
line_length=60
multi_line_output=3
include_trailing_comma=True
length_sort=True
combine_as_imports=True

[mypy]
strict=True

[tool:pytest]
env = 
    CI=true
    CI_PIPELINE_ID=12345
    CI_PROJECT_NAME=gitlab-ci-project
    CI_PROJECT_PATH=my/awsome/project
    CI_COMMIT_REF_SLUG=my-awsome-feature-branch
    CI_COMMIT_REF_NAME=my_awsome_feature_branch
    CI_COMMIT_TAG=11.22.33
    CI_PROJECT_DIR=/path/to/project
    CI_JOB_NAME=ci_job_name
    GITLAB_USER_EMAIL=maxpower@gcip.net
    GITLAB_USER_NAME=Max Power
    CI_PROJECT_PATH_SLUG=path-to-project